|  | Home | Documentation | wsa5.h File Reference updated by Robert van Engelen |

Classes | Macros | Typedefs | Enumerations | Functions
wsa5.h File Reference
This graph shows which files directly or indirectly include this file:

## Classes

struct | wsa5__EndpointReferenceType
| "http://www.w3.org/2005/08/addressing":EndpointReferenceType is a complexType. More...
struct | wsa5__ReferenceParametersType
| "http://www.w3.org/2005/08/addressing":ReferenceParametersType is a complexType. More...
struct | wsa5__MetadataType
| "http://www.w3.org/2005/08/addressing":MetadataType is a complexType. More...
struct | wsa5__ProblemActionType
| "http://www.w3.org/2005/08/addressing":ProblemActionType is a complexType. More...
struct | wsa5__RelatesToType
| "http://www.w3.org/2005/08/addressing":RelatesToType is a complexType with simpleContent. More...
struct | chan__ChannelInstanceType
| "http://schemas.microsoft.com/ws/2005/02/duplex":ChannelInstanceType is a complexType. More...
struct | SOAP_ENV__Header
| Added. More...

## Macros

#define | SOAP_WSA_2005
#define | SOAP_NAMESPACE_OF_wsa5 "http://www.w3.org/2005/08/addressing"

## Typedefs

typedef struct wsa5__EndpointReferenceType | wsa5__EndpointReferenceType
| Typedef synonym for struct wsa5__EndpointReferenceType.
typedef struct wsa5__ReferenceParametersType | wsa5__ReferenceParametersType
| Typedef synonym for struct wsa5__ReferenceParametersType.
typedef struct wsa5__MetadataType | wsa5__MetadataType
| Typedef synonym for struct wsa5__MetadataType.
typedef struct wsa5__RelatesToType | wsa5__RelatesToType
| Typedef synonym for struct wsa5__RelatesToType.
typedef struct wsa5__ProblemActionType | wsa5__ProblemActionType
| Imported complexType "http://www.w3.org/2005/08/addressing":AttributedURIType from typemap WS/WS-typemap.dat.
typedef char * | wsa5__RelationshipTypeOpenEnum
| union of values "tns:RelationshipType xs:anyURI"
typedef char * | wsa5__FaultCodesOpenEnumType
| union of values "tns:FaultCodesType xs:QName"
typedef enum wsa5__RelationshipType | wsa5__RelationshipType
| Typedef synonym for enum wsa5__RelationshipType.
typedef enum wsa5__FaultCodesType | wsa5__FaultCodesType
| Typedef synonym for enum wsa5__FaultCodesType.
typedef struct wsa5__EndpointReferenceType | _wsa5__EndpointReference
| Element "http://www.w3.org/2005/08/addressing":EndpointReference of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.
typedef struct wsa5__ReferenceParametersType | _wsa5__ReferenceParameters
| Element "http://www.w3.org/2005/08/addressing":ReferenceParameters of type "http://www.w3.org/2005/08/addressing":ReferenceParametersType.
typedef struct wsa5__MetadataType | _wsa5__Metadata
| Element "http://www.w3.org/2005/08/addressing":Metadata of type "http://www.w3.org/2005/08/addressing":MetadataType.
typedef char * | _wsa5__MessageID
| Element "http://www.w3.org/2005/08/addressing":MessageID of type "http://www.w3.org/2005/08/addressing":AttributedURIType.
typedef struct wsa5__RelatesToType | _wsa5__RelatesTo
| Element "http://www.w3.org/2005/08/addressing":RelatesTo of type "http://www.w3.org/2005/08/addressing":RelatesToType.
typedef struct wsa5__EndpointReferenceType | _wsa5__ReplyTo
| Element "http://www.w3.org/2005/08/addressing":ReplyTo of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.
typedef struct wsa5__EndpointReferenceType | _wsa5__From
| Element "http://www.w3.org/2005/08/addressing":From of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.
typedef struct wsa5__EndpointReferenceType | _wsa5__FaultTo
| Element "http://www.w3.org/2005/08/addressing":FaultTo of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.
typedef char * | _wsa5__To
| Element "http://www.w3.org/2005/08/addressing":To of type "http://www.w3.org/2005/08/addressing":AttributedURIType.
typedef char * | _wsa5__Action
| Element "http://www.w3.org/2005/08/addressing":Action of type "http://www.w3.org/2005/08/addressing":AttributedURIType.
typedef ULONG64 | _wsa5__RetryAfter
| Element "http://www.w3.org/2005/08/addressing":RetryAfter of type "http://www.w3.org/2005/08/addressing":AttributedUnsignedLongType.
typedef _QName | _wsa5__ProblemHeaderQName
| Element "http://www.w3.org/2005/08/addressing":ProblemHeaderQName of type "http://www.w3.org/2005/08/addressing":AttributedQNameType.
typedef char * | _wsa5__ProblemIRI
| Element "http://www.w3.org/2005/08/addressing":ProblemIRI of type "http://www.w3.org/2005/08/addressing":AttributedURIType.
typedef struct wsa5__ProblemActionType | _wsa5__ProblemAction
| Element "http://www.w3.org/2005/08/addressing":ProblemAction of type "http://www.w3.org/2005/08/addressing":ProblemActionType.
typedef enum _wsa5__IsReferenceParameter | _wsa5__IsReferenceParameter

## Enumerations

enum | wsa5__RelationshipType { http_x003a_x002f_x002fwww_x002ew3_x002eorg_x002f2005_x002f08_x002faddressing_x002freply }
| "http://www.w3.org/2005/08/addressing":RelationshipType is a simpleType restriction of xs:anyURI. More...
enum | wsa5__FaultCodesType { wsa5__InvalidAddressingHeader , wsa5__InvalidAddress , wsa5__InvalidEPR , wsa5__InvalidCardinality , wsa5__MissingAddressInEPR , wsa5__DuplicateMessageID , wsa5__ActionMismatch , wsa5__MessageAddressingHeaderRequired , wsa5__DestinationUnreachable , wsa5__ActionNotSupported , wsa5__EndpointUnavailable }
| "http://www.w3.org/2005/08/addressing":FaultCodesType is a simpleType restriction of xs:QName. More...
enum | _wsa5__IsReferenceParameter { _wsa5__IsReferenceParameter__false , _wsa5__IsReferenceParameter__true }

## Functions

int | SOAP_ENV__Fault (_QName faultcode, char *faultstring, char *faultactor, struct SOAP_ENV__Detail *detail, struct SOAP_ENV__Code *SOAP_ENV__Code, struct SOAP_ENV__Reason *SOAP_ENV__Reason, char *SOAP_ENV__Node, char *SOAP_ENV__Role, struct SOAP_ENV__Detail *SOAP_ENV__Detail, void)

## Macro Definition Documentation

## ◆ SOAP_NAMESPACE_OF_wsa5

#define SOAP_NAMESPACE_OF_wsa5 "http://www.w3.org/2005/08/addressing"

## ◆ SOAP_WSA_2005

#define SOAP_WSA_2005

## Typedef Documentation

## ◆ _wsa5__Action

typedef char* _wsa5__Action

Element "http://www.w3.org/2005/08/addressing":Action of type "http://www.w3.org/2005/08/addressing":AttributedURIType.

## ◆ _wsa5__EndpointReference

typedef struct wsa5__EndpointReferenceType _wsa5__EndpointReference

Element "http://www.w3.org/2005/08/addressing":EndpointReference of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.

## ◆ _wsa5__FaultTo

typedef struct wsa5__EndpointReferenceType _wsa5__FaultTo

Element "http://www.w3.org/2005/08/addressing":FaultTo of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.

## ◆ _wsa5__From

typedef struct wsa5__EndpointReferenceType _wsa5__From

Element "http://www.w3.org/2005/08/addressing":From of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.

## ◆ _wsa5__IsReferenceParameter

typedef enum _wsa5__IsReferenceParameter _wsa5__IsReferenceParameter

Attribute "http://www.w3.org/2005/08/addressing":IsReferenceParameter of simpleType xs:boolean. Imported attribute _wsa5__IsReferenceParameter from typemap WS/WS-typemap.dat.

## ◆ _wsa5__MessageID

typedef char* _wsa5__MessageID

Element "http://www.w3.org/2005/08/addressing":MessageID of type "http://www.w3.org/2005/08/addressing":AttributedURIType.

## ◆ _wsa5__Metadata

typedef struct wsa5__MetadataType _wsa5__Metadata

Element "http://www.w3.org/2005/08/addressing":Metadata of type "http://www.w3.org/2005/08/addressing":MetadataType.

## ◆ _wsa5__ProblemAction

typedef struct wsa5__ProblemActionType _wsa5__ProblemAction

Element "http://www.w3.org/2005/08/addressing":ProblemAction of type "http://www.w3.org/2005/08/addressing":ProblemActionType.

## ◆ _wsa5__ProblemHeaderQName

typedef _QName _wsa5__ProblemHeaderQName

Element "http://www.w3.org/2005/08/addressing":ProblemHeaderQName of type "http://www.w3.org/2005/08/addressing":AttributedQNameType.

## ◆ _wsa5__ProblemIRI

typedef char* _wsa5__ProblemIRI

Element "http://www.w3.org/2005/08/addressing":ProblemIRI of type "http://www.w3.org/2005/08/addressing":AttributedURIType.

## ◆ _wsa5__ReferenceParameters

typedef struct wsa5__ReferenceParametersType _wsa5__ReferenceParameters

Element "http://www.w3.org/2005/08/addressing":ReferenceParameters of type "http://www.w3.org/2005/08/addressing":ReferenceParametersType.

## ◆ _wsa5__RelatesTo

typedef struct wsa5__RelatesToType _wsa5__RelatesTo

Element "http://www.w3.org/2005/08/addressing":RelatesTo of type "http://www.w3.org/2005/08/addressing":RelatesToType.

## ◆ _wsa5__ReplyTo

typedef struct wsa5__EndpointReferenceType _wsa5__ReplyTo

Element "http://www.w3.org/2005/08/addressing":ReplyTo of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.

## ◆ _wsa5__RetryAfter

typedef ULONG64 _wsa5__RetryAfter

Element "http://www.w3.org/2005/08/addressing":RetryAfter of type "http://www.w3.org/2005/08/addressing":AttributedUnsignedLongType.

## ◆ _wsa5__To

typedef char* _wsa5__To

Element "http://www.w3.org/2005/08/addressing":To of type "http://www.w3.org/2005/08/addressing":AttributedURIType.

## ◆ wsa5__EndpointReferenceType

typedef struct wsa5__EndpointReferenceType wsa5__EndpointReferenceType

Typedef synonym for struct wsa5__EndpointReferenceType.

## ◆ wsa5__FaultCodesOpenEnumType

typedef char* wsa5__FaultCodesOpenEnumType

union of values "tns:FaultCodesType xs:QName"

## ◆ wsa5__FaultCodesType

typedef enum wsa5__FaultCodesType wsa5__FaultCodesType

Typedef synonym for enum wsa5__FaultCodesType.

## ◆ wsa5__MetadataType

typedef struct wsa5__MetadataType wsa5__MetadataType

Typedef synonym for struct wsa5__MetadataType.

## ◆ wsa5__ProblemActionType

typedef struct wsa5__ProblemActionType wsa5__ProblemActionType

Imported complexType "http://www.w3.org/2005/08/addressing":AttributedURIType from typemap WS/WS-typemap.dat.

Imported complexType "http://www.w3.org/2005/08/addressing":AttributedUnsignedLongType from typemap WS/WS-typemap.dat. Imported complexType "http://www.w3.org/2005/08/addressing":AttributedQNameType from typemap WS/WS-typemap.dat. Typedef synonym for struct wsa5__ProblemActionType.

## ◆ wsa5__ReferenceParametersType

typedef struct wsa5__ReferenceParametersType wsa5__ReferenceParametersType

Typedef synonym for struct wsa5__ReferenceParametersType.

## ◆ wsa5__RelatesToType

typedef struct wsa5__RelatesToType wsa5__RelatesToType

Typedef synonym for struct wsa5__RelatesToType.

## ◆ wsa5__RelationshipType

typedef enum wsa5__RelationshipType wsa5__RelationshipType

Typedef synonym for enum wsa5__RelationshipType.

## ◆ wsa5__RelationshipTypeOpenEnum

typedef char* wsa5__RelationshipTypeOpenEnum

union of values "tns:RelationshipType xs:anyURI"

## Enumeration Type Documentation

## ◆ _wsa5__IsReferenceParameter

enum _wsa5__IsReferenceParameter

Attribute "http://www.w3.org/2005/08/addressing":IsReferenceParameter of simpleType xs:boolean. Imported attribute _wsa5__IsReferenceParameter from typemap WS/WS-typemap.dat.

Enumerator
_wsa5__IsReferenceParameter__false |
_wsa5__IsReferenceParameter__true |

## ◆ wsa5__FaultCodesType

enum wsa5__FaultCodesType

"http://www.w3.org/2005/08/addressing":FaultCodesType is a simpleType restriction of xs:QName.

Enumerator
wsa5__InvalidAddressingHeader | xs:QName value=""http://www.w3.org/2005/08/addressing":InvalidAddressingHeader"
wsa5__InvalidAddress | xs:QName value=""http://www.w3.org/2005/08/addressing":InvalidAddress"
wsa5__InvalidEPR | xs:QName value=""http://www.w3.org/2005/08/addressing":InvalidEPR"
wsa5__InvalidCardinality | xs:QName value=""http://www.w3.org/2005/08/addressing":InvalidCardinality"
wsa5__MissingAddressInEPR | xs:QName value=""http://www.w3.org/2005/08/addressing":MissingAddressInEPR"
wsa5__DuplicateMessageID | xs:QName value=""http://www.w3.org/2005/08/addressing":DuplicateMessageID"
wsa5__ActionMismatch | xs:QName value=""http://www.w3.org/2005/08/addressing":ActionMismatch"
wsa5__MessageAddressingHeaderRequired | xs:QName value=""http://www.w3.org/2005/08/addressing":MessageAddressingHeaderRequired"
wsa5__DestinationUnreachable | xs:QName value=""http://www.w3.org/2005/08/addressing":DestinationUnreachable"
wsa5__ActionNotSupported | xs:QName value=""http://www.w3.org/2005/08/addressing":ActionNotSupported"
wsa5__EndpointUnavailable | xs:QName value=""http://www.w3.org/2005/08/addressing":EndpointUnavailable"

## ◆ wsa5__RelationshipType

enum wsa5__RelationshipType

"http://www.w3.org/2005/08/addressing":RelationshipType is a simpleType restriction of xs:anyURI.

Enumerator
http_x003a_x002f_x002fwww_x002ew3_x002eorg_x002f2005_x002f08_x002faddressing_x002freply | xs:anyURI value="http://www.w3.org/2005/08/addressing/reply"

## Function Documentation

## ◆ SOAP_ENV__Fault()

int SOAP_ENV__Fault | ( | _QName | faultcode,
|  | char * | faultstring,
|  | char * | faultactor,
|  | struct SOAP_ENV__Detail * | detail,
|  | struct SOAP_ENV__Code * | SOAP_ENV__Code,
|  | struct SOAP_ENV__Reason * | SOAP_ENV__Reason,
|  | char * | SOAP_ENV__Node,
|  | char * | SOAP_ENV__Role,
|  | struct SOAP_ENV__Detail * | SOAP_ENV__Detail,
|  | void | )